%ents; ]]> ]>

# Het Konsole Handboek

Jonathan
Singer

    jsinger@genome.wi.mit.edu

Lars
Dölle

    lars.doelle@on-line.de

Developer
Michael
McBride

    mmcbride@ematic.com

Reviewer
Lauri
Watts

    vampyr@atconnex.net

Reviewer
2000
Jonathan Singer
&FDLNotice;
03/06/2000
0.09.15

Dit document is het gebruikershandboek voor het &konsole; programma.

&konsole; is een X-terminal emulator voor KDE 2.0

KDE
Konsole
kdebase
commando
regel

## Introductie tot &konsole;

&konsole; is een X-terminal emulatie die een commando-regel interface (command line interface of CLI) verzorgt terwijl u de grafische K Bureaublad Omgeving gebruikt. &konsole; houdt uw bureaublad ordelijk doordat het meerdere sessies in één venster kan plaatsen.

De geavanceerde mogelijkheden zijn een simpele configuratie en de mogelijkheid tot het gebruiken van meerdere terminals in een venster.

Bij gebruik van &konsole;, kan een gebruiker:

- Linux console sessies openen

- Midnight Commander bestandsbeheerder sessies openen

- Shell sessies openen

- Root console sessies openen

Deze sessies kunnen hernoemd worden om te helpen met het volgen van alle shells. Ook kunnen er signalen (STOP, CONT, HUP, INT, TERM, KILL) naar de verschillende shells gestuurd worden.

Voor meer controle over &konsole;, kan een gebruiker:

- de menubalk en/of het frame verbergen of weergeven

- de grootte selecteren van een &konsole;-venster; lettertypen, kleurenschema's en toetsenbordvorm aanpassen

- de lokatie van de scrollbalk wijzigen of de scrollbalk verbergen

Alle gekozen opties kunnen standaard gemaakt worden voor toekomstige sessies door ze op te slaan.

### Geschiedenis

Voor degene met een grote interesse in de taxonomie van gratis X terminals, zijn er twee andere van deze soort: xterm, de originele, geschreven voordat X zelf geschreven was (ongeveer een maand of twee), en xvt, een lichtgewicht xterm-kloon, waar de meeste andere beschikbare afleidingen op gebaseerd zijn, met als meest bekende eterm.

Na een decennium is &konsole; de eerste volledige herschrijving. Terwijl xterm letterlijk tot de dood gehackt is (de `README` begint met de woorden "Abandon All Hope, Ye Who Enter Here"), biedt &konsole; een frisse start door het gebruik van nieuwe X-technologien en het begrijpen van X.

## Installatie

&konsole; is onderdeel van het KDE 2.0 base-pakket. Het zal automatisch geinstalleerd worden met de installatie van KDE, en het heeft KDE 2.0 nodig om te functioneren

Voor meer informatie, zou u de KDE-Website moeten bezoeken op http://www.kde.org. Of u kunt ook kijken op de Nederlandse site http://www.kde.nl/>.

Om &konsole; apart te verkrijgen, moet u het kdebase pakket downloaden, en deze zou gecompileerd en geinstalleerd worden zoals aangegeven wordt in de hoofdmap van het pakket. Nieuwe versies van het pakket kunt u vinden op ftp://ftp.kde.org/pub/

Om &konsole; te compileren:

    $  cd kdebase/konsole
    $  ./configure
    $  make
    Dan als root:
    #  make install

## Gebruik van &konsole;

### Opstarten

Wanneer &konsole; gestart is, zal een programma (standaard een Unix shell) in het venster gedraaid worden. Typ gewoon op de prompt.

### Geschiedenis

Als regels van de top van het scherm verdwijnen, kunnen ze terug weergegeven worden door de scrollbalk omhoog te bewegen, of door het gebruik van de toetsencombinatie Shift Page Up (en om een pagina terug te scrollen), Shift Page Down (om een pagina verder te scrollen), Shift Up (om een lijn terug te scrollen) en Shift Down (om een regelnaar beneden te scrollen). (Als de Geschiedenis-optie aan is.)

### Muisknoppen

Links

  Als u op de linker muisknop drukt zal een gebeurtenis naar het programma in de emulatie gestuurd worden, als deze met een muis werkt. Als een programma met muisklikken om kan gaan, zal &konsole; dit aangeven door een pijlcursor weer te geven. Zo niet, zal een I-balk cursor weergeven worden.

  Als u de linkermuisknop ingedrukt houd en u de muis over het scherm sleept zal een programma dat niet met de muis werkt een gedeelte van de tekst markeren. Terwijl u sleept, zal de gemarkeerde tekst in omgekeerde kleuren weergegeven worden om het visueel duidelijk te maken. Wanneer de knop losgelaten is, zal de gemarkeerde tekst gekopieerd worden naar het klembord voor gebruik in &konsole; of in een ander programma.

  Gewoonlijk worden nieuwe-regel karakters ingevoerd op het einde van elke geselecteerde regel. Dit is het best voor het knippen en plakken van broncode of voor de uitvoer van een commando. Voor gewone tekst zijn nieuwe-regelkarakters niet belangrijk. Als u de tekst als een stroom van karakters wilt die automatisch opnieuw geformatteerd worden als ze in een ander programma geplakt worden wilt hebben, moet u de Ctrl -toets indrukken terwijl u op de gewone manier selecteert.

  Als de boven- of onderrand van het tekstgebied aangeraakt wordt tijdens het markeren, zal &konsole; naar boven of beneden scrollen, om uiteindelijk tekst in de geschiedenis van de buffer weer te geven. Het scrollen stopt als u stopt met het bewegen van de muis.

  Nadat de muis losgelaten is, zal &konsole proberen om de tekst in het klembord zichtbaar te maken door het gemarkeerde deel in omgekeerde accentuatie te zetten. Het gemarkeerde gebied wordt weer normaal als de inhoud van het klembord veranderd is, de tekst in het gemarkeerde gebied gewijzigd is of als de linkermuisknop is ingedrukt.

  Om tekst te selecteren in een muis-programma moet u de Shift toets tijdens het selecteren ingedrukt houden

Middel

  Als u de middelste muisknop indrukt plakt u de tekst die momenteel in het klembord zit.

  Als u een muis met slechts twee knoppen heeft, kunt u door de linker en rechter muisknoppen tegelijk indrukt simuleert u de middelste muisknop van een drie-knoppenmuis.

Rechts

  De rechter muisknop geeft het menu "Opties" weer. Ctrl + rechtermuisknop geeft het menu "Bestand" weer, terwijl Shift + rechtermuisknop het menu "Sessies" weergeeft.

### Menubalk

De menubalk staat bovenaan het konsole-venster. Het kan verborgen en weer weergegeven worden door de de menuoptie "Menubalk tonen" in het "Opties" menu. Wanneer de menubalk verborgen is, kan "Menubalk tonen" bereikt worden door met rechts te klikken in het venster.

#### Het Bestand-menu

Bestand Linux console

  Opent een nieuwe sessie die een tekst-linuxsessie emuleert.

  (Bekijk het bestand `README.linux.console` voor gedetailleerde informatie over hoe de Linux-console anders is dan een typische Unix-console.)

Bestand Midnight Commander

  Opent een nieuwe sessie met de Midnight Commander grafische bestandsverkenner

Bestand Shell

  Opent een nieuwe sessie met een shell

Bestand Rootconsole

  Opent een nieuwe sessie met een terminal shell, als de root gebruiker.

  Na het invoeren van het root-wachtwoord, verschijnt de #-prompt, die aangeeft dat de gebruiker werkt met rootprivileges. Dit is vaak nodig voor het installeren van nieuwe software en ander systeemonderhoud, maar voorzichtigheid is geboden om toevallige schade te voorkomen.

Bestand Afsluiten

  Sluit &konsole; af, en daarbij ook alle terminals en applicaties die daarin gestart waren.

#### Het Sessies-menu

Sessies Signaal versturen

  Signaal verzenden - stuurt een bepaald signaal naar het shellproces, of een ander proces, dat reeds draaide wanneer de nieuwe sessie gestart werd.

  Huidige beschikbare signalen zijn:

  Stop | - | proces stoppen
  Cont | - | doorgaan als het gestopt is
  HUP | - | fout gedetecteerd op de besturende terminal, of besturende terminal is dood
  Int | - | onderbreking van het toetsenbord
  Term | - | terminatie-signaal
  Kill | - | kill-signaal

  Bekijk uw systeem-manual pagina's voor verdere details door het geven van het commando `man 7 signal`.

Sessies Sessie hernoemen

  Wijzigt de naam van de huidige sessie.

Sessies Sessie-iconen...

  Beneden aan het menu is een lijst van beschikbare sessies. Door er een te selecteren wordt de gekozen sessie actief.

#### Het Opties-menu

Opties Menubalk tonen

  Toont of verbergt de menubalk

Opties Werkbalk tonen

  Toont of verbergt de werkbalk

Opties Kader tonen

  Toont of verbergt kader aan de rand van het venster

Opties Schuifbalk

  Bepaalt de plaats van de schuifbalk: verbergen, links, of rechts

Opties Volledig scherm

  Schakelt venster tussen volledig scherm en normale grootte

Opties Grootte

  Stelt de grootte van het tekstgebied in (gegeven in kolommen x rijen)

Opties Lettertypen

  Stelt lettergrootte in

Opties Schema

  Stelt de kleuren van de tekst en de achtergrond in

  De lijst van deze schema's is uit `$KDEDIR/apps/konsole/*.schema` gehaald. Voeg bestanden toe of wijzig ze tot ze aan uw wensen voldoen.

Opties Geschiedenis

  Schakelt het onthouden van regels die bovenaan van het scherm verdwenen zijn in

Opties Codec

  Kiest een gewenst codec

Opties Toetsenbord

  Kiest de gewensten toetsenmapping

  De lijst van deze toetsenmappingen is uit `$KDEDIR/apps/konsole/*.keymap` gehaald. Voeg bestanden toe of wijzig ze aan uw wensen te laten voldoen.

Opties Instellingen opslaan

  Slaat de huidige instellingen op als nieuwe standaard

#### Het Hulp-menu

Hulp Inhoud...

  Opent de inhoudsopgave van dit document

Hulp Technische Referentie

  Gedetaileerde informatie over terminalemulatie en &konsole;

Hulp Bug rapporteren

  Verstuur een foutrapport of een wenslijst voor &konsole;

Hulp Info Konsole...

  Informatie over &konsole;'s auteur

Hulp Info KDE...

  Informatie over het KDE-project

### De werkbalk

De werkbalk wordt onderaan het &konsole;-venster geplaatst.

Hij kan worden verborgen en hersteld door de optie "Werkbalk tonen" int het menu "Opties" te kiezen of door op de gemarkeerde "handgreep" aan de zijkant van de balk te klikken. De balk bevat een "Nieuw" icoon en iconen voor de huidige sessies. Door te klikken op "Nieuw" wordt er een nieuwe "Shell-sessie" geopend.

Door de klikken op een bestaand sessie-icoon wordt deze actief gemaakt.

### Commandoregel-opties

Wanner &konsole; gestart wordt vanaf de commandoregel, kunnen een aantal opties ingesteld worden om het gedrag te wijzigen

`--help`

  Geeft alle opties weer

`--name`

  Stelt de naam in die in de titelbalk verschijnt in

`--ls`

  Start een login-shell

`--nowelcome`

  Onderdrukt het "Welkom bij &konsole;"-bericht wat standaard in de titelbalk verschijnt

`--nohist`

  Schakelt het opslaan van regels die bovenaan het scherm verdwijnen uit

`--vt_sz CCxLL`

  Start een terminel met CC kolommen en LL regels

`-e <commando>`

  Voert <commando> uit, in plaats van een shell

Bijvoorbeeld:

    bash$ konsole --vt_sz 90x25 --nohist

start een &konsole;-venster met 90 kolommen en 25 rijen, zonder geschiedenis

&konsole; accepteert ook standaard QT- en KDE-opties:

`--auteur`

  Geeft de namen van de auteur(s) weer

`--V`

  Geeft de versie weer

`--help-qt`

  Geeft Qt-specifieke opties weer

`--help-kde`

  Geeft KDE-specifieke opties weer

`--help-all`

  Geeft alle opties weer

## Aftiteling en Copyright

De applicatie &konsole; copyright 1997-2000 Lars Doelle lars.doelle@on-line.de

Dit document was geschreven door Jonathan Singer jsinger@genome.wi.mit.edu

Geconverteerd naar SGML door Michael McBride mmcbride@ematic.com en Lauri Watts vampyr@atconnex.net

Dit document is vertaald in het Nederlands door Niels Reedijk n.reedijk@planet.nl. Enige op- of aanmerkingen over de vertaling van dit document kunt u sturen naar i18n@kde.nl, alsmede over de vertaling van de toepassing.

&underFDL; &underGPL;